package com.project.fidusia.domain;

import java.util.Random;
import java.util.UUID;
import java.util.concurrent.atomic.AtomicLong;

public class BadanTestSamples {

    private static final Random random = new Random();
    private static final AtomicLong longCount = new AtomicLong(random.nextInt() + (2 * Integer.MAX_VALUE));

    public static Badan getBadanSample1() {
        return new Badan()
            .id(1L)
            .golonganUsaha("golonganUsaha1")
            .jenis("jenis1")
            .nama("nama1")
            .kedudukan("kedudukan1")
            .noAkta("noAkta1")
            .namaNotaris("namaNotaris1")
            .wilKerjaNotaris("wilKerjaNotaris1")
            .skNotaris("skNotaris1")
            .alamat("alamat1")
            .rt("rt1")
            .rw("rw1")
            .kelurahan("kelurahan1")
            .kecamatan("kecamatan1")
            .kota("kota1")
            .provinsi("provinsi1")
            .kodePos("kodePos1")
            .noKontak("noKontak1")
            .namaSk("namaSk1")
            .nomorSk("nomorSk1")
            .tglSk("tglSk1")
            .npwp("npwp1")
            .pjNama("pjNama1")
            .pjJenisKelamin("pjJenisKelamin1")
            .pjStatusKawin("pjStatusKawin1")
            .pjKelahiran("pjKelahiran1")
            .pjPekerjaan("pjPekerjaan1")
            .pjWargaNegara("pjWargaNegara1")
            .pjJenisId("pjJenisId1")
            .pjNoId("pjNoId1")
            .pjAlamat("pjAlamat1")
            .pjRt("pjRt1")
            .pjRw("pjRw1")
            .pjKelurahan("pjKelurahan1")
            .pjKecamatan("pjKecamatan1")
            .pjKota("pjKota1")
            .pjProvinsi("pjProvinsi1")
            .pjKodePos("pjKodePos1")
            .template("template1")
            .komparisi("komparisi1");
    }

    public static Badan getBadanSample2() {
        return new Badan()
            .id(2L)
            .golonganUsaha("golonganUsaha2")
            .jenis("jenis2")
            .nama("nama2")
            .kedudukan("kedudukan2")
            .noAkta("noAkta2")
            .namaNotaris("namaNotaris2")
            .wilKerjaNotaris("wilKerjaNotaris2")
            .skNotaris("skNotaris2")
            .alamat("alamat2")
            .rt("rt2")
            .rw("rw2")
            .kelurahan("kelurahan2")
            .kecamatan("kecamatan2")
            .kota("kota2")
            .provinsi("provinsi2")
            .kodePos("kodePos2")
            .noKontak("noKontak2")
            .namaSk("namaSk2")
            .nomorSk("nomorSk2")
            .tglSk("tglSk2")
            .npwp("npwp2")
            .pjNama("pjNama2")
            .pjJenisKelamin("pjJenisKelamin2")
            .pjStatusKawin("pjStatusKawin2")
            .pjKelahiran("pjKelahiran2")
            .pjPekerjaan("pjPekerjaan2")
            .pjWargaNegara("pjWargaNegara2")
            .pjJenisId("pjJenisId2")
            .pjNoId("pjNoId2")
            .pjAlamat("pjAlamat2")
            .pjRt("pjRt2")
            .pjRw("pjRw2")
            .pjKelurahan("pjKelurahan2")
            .pjKecamatan("pjKecamatan2")
            .pjKota("pjKota2")
            .pjProvinsi("pjProvinsi2")
            .pjKodePos("pjKodePos2")
            .template("template2")
            .komparisi("komparisi2");
    }

    public static Badan getBadanRandomSampleGenerator() {
        return new Badan()
            .id(longCount.incrementAndGet())
            .golonganUsaha(UUID.randomUUID().toString())
            .jenis(UUID.randomUUID().toString())
            .nama(UUID.randomUUID().toString())
            .kedudukan(UUID.randomUUID().toString())
            .noAkta(UUID.randomUUID().toString())
            .namaNotaris(UUID.randomUUID().toString())
            .wilKerjaNotaris(UUID.randomUUID().toString())
            .skNotaris(UUID.randomUUID().toString())
            .alamat(UUID.randomUUID().toString())
            .rt(UUID.randomUUID().toString())
            .rw(UUID.randomUUID().toString())
            .kelurahan(UUID.randomUUID().toString())
            .kecamatan(UUID.randomUUID().toString())
            .kota(UUID.randomUUID().toString())
            .provinsi(UUID.randomUUID().toString())
            .kodePos(UUID.randomUUID().toString())
            .noKontak(UUID.randomUUID().toString())
            .namaSk(UUID.randomUUID().toString())
            .nomorSk(UUID.randomUUID().toString())
            .tglSk(UUID.randomUUID().toString())
            .npwp(UUID.randomUUID().toString())
            .pjNama(UUID.randomUUID().toString())
            .pjJenisKelamin(UUID.randomUUID().toString())
            .pjStatusKawin(UUID.randomUUID().toString())
            .pjKelahiran(UUID.randomUUID().toString())
            .pjPekerjaan(UUID.randomUUID().toString())
            .pjWargaNegara(UUID.randomUUID().toString())
            .pjJenisId(UUID.randomUUID().toString())
            .pjNoId(UUID.randomUUID().toString())
            .pjAlamat(UUID.randomUUID().toString())
            .pjRt(UUID.randomUUID().toString())
            .pjRw(UUID.randomUUID().toString())
            .pjKelurahan(UUID.randomUUID().toString())
            .pjKecamatan(UUID.randomUUID().toString())
            .pjKota(UUID.randomUUID().toString())
            .pjProvinsi(UUID.randomUUID().toString())
            .pjKodePos(UUID.randomUUID().toString())
            .template(UUID.randomUUID().toString())
            .komparisi(UUID.randomUUID().toString());
    }
}
